Impossible de faire la mise à jour - GestSup me dit que je suis à jour

Installation & Configuration du logiciel
Avatar du membre
bbc94
Gsup LEVEL 4
Messages : 113
Enregistré le : ven. 6 juil. 2018 12:47

Re: Impossible de faire la mise à jour - GestSup me dit que je suis à jour

Message par bbc94 »

Bonjour,

Ayant toujours le même problème malgré mes recherches et plusieurs tentatives, voici ma page système actuelle.

Si je vais dans mise à jour, j'ai :
Version actuelle: 3.1.40 (Version 3.1 avec patch 40)
Canal Beta
Serveur de mise à jour ftp.gestsup.fr est disponible.

=> Quand je fait vérifier cela ne fait rien ...

Le mode debug me dit toujours :

DEBUG MODE:
[CHANNEL] beta
[GET DATA] Local server version: 3.1.40 (Version: 3.1 Patch: 40)

Warning: preg_grep() expects parameter 2 to be array, boolean given in C:\wamp64\www\xxxxxxxxxxxx.group\admin\update.php on line 142

Warning: Invalid argument supplied for foreach() in C:\wamp64\www\xxxxxxxxxxxx.group\admin\update.php on line 144
[GET DATA] No patch available for version 3.1

Warning: preg_grep() expects parameter 2 to be array, boolean given in C:\wamp64\www\xxxxxxxxxxxx.group\admin\update.php on line 160

Warning: Invalid argument supplied for foreach() in C:\wamp64\www\xxxxxxxxxxxx.group\admin\update.php on line 162
[GET DATA] Last version available on FTP server: ..
[COMPARE VERSIONS] Local server version 3.1 is superior than FTP server GestSup ., you are maybe a developper.
Fichiers joints
2019-06-10_135732.png
2019-06-10_135732.png (122.36 Kio) Vu 2639 fois
- GestSup 3.1.46 - OS: Windows 2016 64bits - Apache: 2.4.27 - PHP: 7.1.9 - MariaDB - MySQL 5.7.19

Avatar du membre
Flox
Administrateur du site
Messages : 4873
Enregistré le : jeu. 21 juin 2012 19:00

Re: Impossible de faire la mise à jour - GestSup me dit que je suis à jour

Message par Flox »

Bonjour,

Je vous invite a consulter les logs de votre firewall il semble que l'application n'arrive pas a lister le contenu du FTP distant.

Cdt
GestSup: 3.2.1 | Debian: 10.4 | Apache: 2.4.43 | MariaDB: 10.5.4| PHP: 7.4.7

Avatar du membre
bbc94
Gsup LEVEL 4
Messages : 113
Enregistré le : ven. 6 juil. 2018 12:47

Re: Impossible de faire la mise à jour - GestSup me dit que je suis à jour

Message par bbc94 »

Bonjour,
Excusez moi de remettre ça sur la table mais j'aimerais vraiment refaire fonctionner le système de mise à jour de GestSup :
En mode débug j'ai maintenant les messages :

Code : Tout sélectionner

DEBUG MODE:
[CHANNEL] stable
[GET DATA] Local server version: 3.1.41 (Version: 3.1 Patch: 41)

Warning: preg_grep() expects parameter 2 to be array, boolean given in C:\wamp64\www\support4d.nov.group\admin\update.php on line 142

Warning: Invalid argument supplied for foreach() in C:\wamp64\www\support4d.nov.group\admin\update.php on line 144
[GET DATA] No patch available for version 3.1

Warning: preg_grep() expects parameter 2 to be array, boolean given in C:\wamp64\www\support4d.nov.group\admin\update.php on line 160

Warning: Invalid argument supplied for foreach() in C:\wamp64\www\support4d.nov.group\admin\update.php on line 162
[GET DATA] Last version available on FTP server: ..
[COMPARE VERSIONS] Local server version 3.1 is superior than FTP server GestSup ., you are maybe a developper.
A partir du poste ou j'ai le problème de mise a jour je fait un Ftp ftp.gestsup.fr pourriez vous me donner un User et password pour voir si je liste bien le contenu en passant par MSDOS ?
2019-10-21_144247.jpg
2019-10-21_144247.jpg (74.83 Kio) Vu 2345 fois
- GestSup 3.1.46 - OS: Windows 2016 64bits - Apache: 2.4.27 - PHP: 7.1.9 - MariaDB - MySQL 5.7.19

Avatar du membre
Flox
Administrateur du site
Messages : 4873
Enregistré le : jeu. 21 juin 2012 19:00

Re: Impossible de faire la mise à jour - GestSup me dit que je suis à jour

Message par Flox »

Bonjour,

Pouvez vous transmettre un impression écran de votre page système et transmettre l'entête du fichier admin/update.php.


Cdt
GestSup: 3.2.1 | Debian: 10.4 | Apache: 2.4.43 | MariaDB: 10.5.4| PHP: 7.4.7

Avatar du membre
bbc94
Gsup LEVEL 4
Messages : 113
Enregistré le : ven. 6 juil. 2018 12:47

Re: Impossible de faire la mise à jour - GestSup me dit que je suis à jour

Message par bbc94 »

Merci pour votre promptitude, voici l’entête du fichier "update.php" :
<?php
################################################################################
# @Name : update.php
# @Description : page to update GestSup
# @Call : admin.php
# @Parameters :
# @Author : Flox
# @Create : 20/01/2011
# @Update : 24/12/2018
# @Version : 3.1.37
################################################################################
========================
Voici ma page System :
2019-10-21_161109.png
2019-10-21_161109.png (98 Kio) Vu 2344 fois
- GestSup 3.1.46 - OS: Windows 2016 64bits - Apache: 2.4.27 - PHP: 7.1.9 - MariaDB - MySQL 5.7.19

Avatar du membre
bbc94
Gsup LEVEL 4
Messages : 113
Enregistré le : ven. 6 juil. 2018 12:47

Re: Impossible de faire la mise à jour - GestSup me dit que je suis à jour

Message par bbc94 »

Bonjour,
Avez vous le temps de regarder mon soucis qui est toujours d'actualité ?
Voila pour rappel le test "ftp sour dos" a partir du serveur ou est lancé Wamp
J'aimerais vraiment réparer cela car j'aime être à la dernière version dès quelles sortent ...
2020-04-17_101358.jpg
2020-04-17_101358.jpg (190.42 Kio) Vu 1727 fois
Voila les infos systèmes à ce jour :
2020-04-17_101358.jpg
2020-04-17_101358.jpg (190.42 Kio) Vu 1727 fois
Fichiers joints
2020-04-17_102220.jpg
2020-04-17_102220.jpg (100.67 Kio) Vu 1727 fois
- GestSup 3.1.46 - OS: Windows 2016 64bits - Apache: 2.4.27 - PHP: 7.1.9 - MariaDB - MySQL 5.7.19

Avatar du membre
Flox
Administrateur du site
Messages : 4873
Enregistré le : jeu. 21 juin 2012 19:00

Re: Impossible de faire la mise à jour - GestSup me dit que je suis à jour

Message par Flox »

Bonjour,

le problème est isolé sur votre serveur ou votre réseau, la fonction de listing du repertoire FTP distant n'est pas possible dans votre configuration.
Le serveur FTP de mise à jour est bien accessible et fonctionnel :
2020-04-17 11_29_23-screenshot-zensoft.png
2020-04-17 11_29_23-screenshot-zensoft.png (23.38 Kio) Vu 1690 fois
Je vous invite à réaliser les mises à jour de l'application de manière manuelle, vous pourrez retrouver la procédure depuis la documentation :
https://gestsup.fr/index.php?page=suppo ... =manual#53

Cdt
GestSup: 3.2.1 | Debian: 10.4 | Apache: 2.4.43 | MariaDB: 10.5.4| PHP: 7.4.7

Répondre